
# Interface: ITemplateConfig

Provides markup elements to format an HTML page.

## Hierarchy

* **ITemplateConfig**

## Index

### Properties

* [<>](itemplateconfig.md#optional-&lt;&gt;)
* [class](itemplateconfig.md#optional-class)
* [html](itemplateconfig.md#optional-html)
* [id](itemplateconfig.md#optional-id)
* [style](itemplateconfig.md#optional-style)
* [text](itemplateconfig.md#optional-text)

## Properties

### `Optional` <>

• **<>**? : *string*

A nested element.

___

### `Optional` class

• **class**? : *string*

A CSS class.

___

### `Optional` html

• **html**? : *[ITemplateConfig](itemplateconfig.md)*

An inner HTML code.

___

### `Optional` id

• **id**? : *string*

An ID of a DOM element.

___

### `Optional` style

• **style**? : *string*

An inline style.

___

### `Optional` text

• **text**? : *string*

A text node.
